<!DOCTYPE html>
<html lang="en">
<head>
  
  {% block title %}<title>Lyrics Generator</title>{% endblock %}
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
  <!-- Add additional CSS in static file -->
  {% load static %}
  <link rel="stylesheet" href="{% static 'css/styles.css' %}">
</head>

<body>
  <div class="container-fluid">
    <div class="header">
      <p>Let Me Guess Your Taste</p>
    </div>
    <div class="row">
      <div class="col-sm-2">
      {% block sidebar %}
      <ul class="sidebar-nav">
          <li><a href="{% url 'song_list' %}">Song List</a></li>
          <li><a href="{% url 'gen_lyrics' %}">Lyrics Generated</a></li>
      </ul>
     {% endblock %}
      </div>
      <div class="col-sm-6 content">
      {% block content %}{% endblock %}
      </div>
      <div class="col-sm-3">
        {% load staticfiles %}
        <div id="wc_div">
          <img id="node" src="{% static 'images/wordcloud.jpg' %}" class="wordcloud">
        </div>
        <input type="button" id="refresh_wc" name="refresh_wc" value="Refresh" class="btn btn-info pull-right"/>
      </div>
    </div>
  </div>
</body>
<script>
  $('#refresh_wc').click(function(){
    $.ajax({
             type: "POST",
             url: "{% url 'refresh_wc' %}",
             data: {'csrfmiddlewaretoken': '{{ csrf_token }}'},
             dataType: "json",
             success: function(response) {
                    $('#wc_div').load(document.URL +  ' #wc_div');
              },
              error: function(rs, e) {
                    alert(rs.responseText);
              }
        }); 
  })
</script>
</html>